<?php
	###############################################################################################################################################################
	# Author:		Alexander Beyer
	# Copyright:		2010 by DevelopmentSuite
	# Contact:		Info@DevelopmentSuite.de
	#			++49 (89) 45 81 85 85
	# License:		Free for non-commercial use
	#			For commercial use please contact me
	# -------------------------------------------------------------------------------------------------------------------------------------------------------------
	# File: 		dsSettings
	# Version:		1.3.0
	# Last change:		15.10.2010
	###############################################################################################################################################################
	
	###############################################################################################################################################################
	# General settings
	###############################################################################################################################################################
	// Link to dsCaptchaImage.php relative from the file that includes the dsFormHelper.php
	// followed by "?settings=" and the link to the settings file relative to dsCaptchaImage.php
	$CAPTCHAIMAGE_PHP_FILE = "dsFormHelper/dsCaptchaImage.php?settings=dsSettings.php";

	// Color of the printed errormessages (wrong field in definition or invalid field check)
	$ERRORMESSAGE_COLOR = 'red';
	
	// Css-Class to be used for the table that contains the fields
	$FORM_TABLE_CLASS = 'kontakt';
	
	// Link to the file that includes the dsFormHelper.php
	$FORM_ACTION_FILE = 'kontakt.php';
  
	// In some cases there are problems that the sesssion cannot be startet because the header has already been printed
	// set to "false" if you recieve an according error message. But then you have to start the session yourself (see manual.pdf)
	$SESSION_START_ENABLE = true;
	
	// If in demo mode, the mail is printed on the webpage instead of sent
	$DEMO_MODE = false;
	
	###############################################################################################################################################################
	# Settings for the captcha field and image
	###############################################################################################################################################################
	// Captcha session name
	$CAPTCHA_SESSION_NAME = "dsCaptchaNoSpam";
	
	// Captcha ecryption key
	$CAPTCHA_ENCRYPTION_KEY = "8h384ls94";
	
	// Captcha fonttype
	$CAPTCHA_FONT = "Imperator.ttf";
	
	// Captcha fontcolor red
	$CAPTCHA_FONTCOLOR_RED = 0;
	
	// Captcha fontcolor green
	$CAPTCHA_FONTCOLOR_GREEN = 0;
	
	// Captcha fontcolor blue
	$CAPTCHA_FONTCOLOR_BLUE = 0;
	
	// Captcha fontsize
	$CAPTCHA_FONTSIZE = 25;
	
	// Captcha background image (has to be a PNG-File)
	$CAPTCHA_BACKGROUND_IMAGE = "captcha.png";
	
	###############################################################################################################################################################
	# Settings for the created email
	###############################################################################################################################################################
	// Text that is shown as sender
	$MAIL_FROM = "Anfrage ber das Kontaktformular";

	// Standard reciever of the email
	$MAIL_TO = "Webmaster@homepage.de";

	// Subject text of the email
	$MAIL_SUBJECT = "Anfrage";

	// Formatstring for the singular field values
	// %1$s stands for the field name
	// %2$s stands for the field value
	$MAIL_STRING_FORMAT= '%1$s:<br>----------<br>%2$s<br><br><br>';
	
	// Fields that shall NOT be transmitted in the mail, e.g. array('name','sendcopy')
	$SEND_IGNORE_FIELDS = null;
	
	###############################################################################################################################################################
	# List of the fields that shall be shown with their parameters
	###############################################################################################################################################################
	$FIELDS = array(
                 array ( caption_col_class=>'kontaktfeld',
                         caption_col_text=>'&nbsp;',
						 field_col_mandatory=>false,
                         field_col_type=>'EMPTY',
						 field_col_name=>'',
						 field_col_options=>null),
                 array ( caption_col_class=>'kontaktfeld',
                         caption_col_text=>'Vorname',
						 field_col_mandatory=>false,
                         field_col_type=>'TEXT',
						 field_col_name=>'Vorname',
						 field_col_options=>array( field_class=>'formular_contact', 
												   chars_width=>'50', 
												   start_value=>''
												  )),
				 array ( caption_col_class=>'kontaktfeld',
                         caption_col_text=>'Nachname',
						 field_col_mandatory=>true,
                         field_col_type=>'TEXT',
						 field_col_name=>'Nachname',
						 field_col_options=>array( field_class=>'formular_contact', 
												   chars_width=>'50', 
												   start_value=>''
												  )),
				 array ( caption_col_class=>'kontaktfeld',
                         caption_col_text=>'eMail',
						 field_col_mandatory=>true,
                         field_col_type=>'EMAIL',
						 field_col_name=>'EMail',
						 field_col_options=>array( field_class=>'formular_contact', 
												   chars_width=>'50', 
												   start_value=>''
												  )),
				 array ( caption_col_class=>'kontaktfeld',
                         caption_col_text=>'Telefon',
						 field_col_mandatory=>false,
                         field_col_type=>'TEXT',
						 field_col_name=>'Telefon',
						 field_col_options=>array( field_class=>'formular_contact', 
												   chars_width=>'50', 
												   start_value=>''
												  )),
				 array ( caption_col_class=>'kontaktfeld',
                         caption_col_text=>'Ihre Nachricht',
						 field_col_mandatory=>true,
                         field_col_type=>'TEXTAREA',
						 field_col_name=>'Nachricht',
						 field_col_options=>array( field_class=>'formular_textarea', 
												   chars_width=>'47', 
												   chars_height=>'6', 
												   start_value=>''
												  )),
				 array ( caption_col_class=>'kontaktfeld',
                         caption_col_text=>'&nbsp;',
						 field_col_mandatory=>false,
                         field_col_type=>'EMPTY',
						 field_col_name=>'',
						 field_col_options=>null),
				 array ( caption_col_class=>'kontaktfeld',
                         caption_col_text=>'Sicherheitscode',
						 field_col_mandatory=>true,
                         field_col_type=>'CAPTCHA',
						 field_col_name=>'captcha',
						 field_col_options=>array( field_class=>'formular_contact', 
												   chars_width=>'50', 
												   start_value=>''
												  )),
				 array ( caption_col_class=>'kontaktfeld',
                         caption_col_text=>'&nbsp;',
						 field_col_mandatory=>false,
                         field_col_type=>'EMPTY',
						 field_col_name=>'',
						 field_col_options=>null),
				 array ( caption_col_class=>'kontaktfeld',
                         caption_col_text=>'Ich m&ouml;chte eine Kopie der Email an meine Adresse bekommen!',
						 field_col_mandatory=>false,
                         field_col_type=>'CHECKBOX',
						 field_col_name=>'SendCopy',
						 field_col_options=>null),
				 array ( caption_col_class=>'formular_button',
                         caption_col_text=>'&nbsp;',
						 field_col_mandatory=>false,
                         field_col_type=>'SENDBUTTONS',
						 field_col_name=>'',
						 field_col_options=>null)
               );
?>